/**
SHADER CONFIGURATION SETTINGS
BlueLight Creatives, Studio
**/


/**
WORLD COLOURS AND TONEMAPS
**/

// Day Color
vec3 dcolor = vec3(1.9, 1.8, 1.7);

// Night Color
vec3 ncolor = vec3(0.05, 0.1, 1.0);

// Shadow Color
vec3 shdcolor = vec3(0.8, 0.8, 0.9);

// Keep balanced with Shadow Color
vec3 shdvec = vec3(0.20, 0.20, 0.10);

// Light Color
vec3 HPT_LIGHT_COLOR = vec3(0.4, 0.3, 0.0);

// Fog Thickness
const float fogThickness = 1.8;

// Fog Afar (Distance)
const float fogAfar = 1.0;

// Fog Close Distance
const float fogCloseDistance = 0.0;

// Fog Color
vec3 ENLS_FOG_COLOR = vec3(0.671, 0.682, 0.690);

// Nether Fog Color
vec3 ENLS_NFOG_COLOR = vec3(1.5, 1.5, 1.5);

// Underwater Effect Colors
vec3 ENLS_UWC = vec3(0.05, 0.55, 0.95);

// Water Top Base Color
vec3 water_top_base_color = vec3(1.5, 1.5, 1.5); // When TRANSPARENT_WATERS is disabled
vec3 transparent_topbase_color = vec3(1.8, 1.8, 1.8); // When TRANSPARENT_WATERS is enabled



/**
ENLIGHT SKY COLOUR
**/

// Day
vec3 ENLS_SDC = vec3(0.2, 0.6, 0.75);

// Night
vec3 ENLS_SNC = vec3(0.07, 0.0, 0.253);

// When Raining
vec3 ENLS_SWRE = vec3(2.0, 2.0, 2.0);



/**
WORLD TONEMAP
**/

const float EXPOSURE = 1.0;
const float BRIGHTNESS = 1.25;
const float GAMMA = 2.35;
const float CONTRAST = 1.06;
const float SATURATION = 1.40;





/**
BASIC FEATURES
Note: Some features are disabled by default for faster performance.
**/

// World Shadows
#define TREE_SHADOWS
#define BLOCK_SHADOWS

// Soft Ligthing
#define SOFT_LIGHT

// Rain Effects
//#define RAIN_EFFECTS

// Darkrain Fog
//#define DARKRAIN_EFFECTS

// Fog Color - Enable to allow chaging of fog colors
#define ENABLE_FOGCOLOR

// Underwater Effects
//#define UNDERWATER_EFFECTS

// Smart Torchlight Intensity Reduction
//#define SMART_LIGHT_REDUCTION

// Nether Effects
//#define NETHER_EFFECTS

// Transparent Oceans
#define TRANSPARENT_WATERS

// Water Shadows
//#define WATER_SHADOWS

// Night Glow - Make ocean and lakes glow in the night
#define NIGHT_GLOW

// Tonemapping
#define ENABLE_TONEMAPPING

// Waving animations
#define PLANT_WAVES



/**
ADVANCE CONFIGURATION
Please refer to the manual provided on our developer website; or read the guide provided in the ENLS app.
**/

const float vma = 1.3;
const float lvc = 1.5;
const float enls_rc = 11.0;
const float hemp = 1.0;
const float cwt = 0.0;







/**
Enlight Shader
Built for Mobile.
From the creators of Haptic Shader and CLSP Pack.
**/